Loading...
Searching...
No Matches
pc98.c File Reference

## Macros

#define | _(String)
#define | BIT(x)
#define | GET_BIT(n, bit)
#define | MAX_PART_COUNT 16
#define | PC9800_EXTFMT_MAGIC 0xAA55
#define | SET_BIT(n, bit, val)

## Typedefs

typedef struct _PC98RawPartition | PC98RawPartition
typedef struct _PC98RawTable | PC98RawTable

## Functions

struct _PC98RawPartition | __attribute__ ((packed))
void | ped_disk_pc98_done ()
void | ped_disk_pc98_init ()
| PT_define_limit_functions (pc98)

## Variables

typedef | __attribute__
uint8_t | boot_code [510]
uint16_t | cyl
uint8_t | dum1
uint8_t | dum2
uint16_t | end_cyl
uint8_t | end_head
uint8_t | end_sector
uint8_t | head
uint16_t | ipl_cyl
uint8_t | ipl_head
uint8_t | ipl_sect
uint16_t | magic
uint8_t | mid
char | name [16]
PC98RawPartition | partitions [MAX_PART_COUNT]
uint8_t | sector
uint8_t | sid

## Macro Definition Documentation

## _

#define _ | ( |  | String | ) |

Value:
(String)

## BIT

#define BIT | ( |  | x | ) |

Value:
(1 << (x))

## GET_BIT

#define GET_BIT | ( |  | n,
|  |  | bit )

Value:
(((n) & BIT(bit)) != 0)
BIT
#define BIT(x)
Definition pc98.c:78

## MAX_PART_COUNT

#define MAX_PART_COUNT 16

## PC9800_EXTFMT_MAGIC

#define PC9800_EXTFMT_MAGIC 0xAA55

## SET_BIT

#define SET_BIT | ( |  | n,
|  |  | bit,
|  |  | val )

Value:
n = (val)? (n | BIT(bit)) : (n & ~BIT(bit))

## Typedef Documentation

## PC98RawPartition

typedef struct _PC98RawPartition PC98RawPartition

## PC98RawTable

typedef struct _PC98RawTable PC98RawTable

## Function Documentation

## __attribute__()

struct _PC98RawPartition __attribute__ | ( | (packed) |  | ) |

## ped_disk_pc98_done()

void ped_disk_pc98_done | ( |  | ) |

## ped_disk_pc98_init()

void ped_disk_pc98_init | ( |  | ) |

## PT_define_limit_functions()

PT_define_limit_functions | ( | pc98 |  | ) |

## Variable Documentation

## __attribute__

typedef __attribute__

## boot_code

uint8_t boot_code[510]

## cyl

uint16_t cyl

## dum1

uint8_t dum1

## dum2

uint8_t dum2

## end_cyl

uint16_t end_cyl

## end_head

uint8_t end_head

## end_sector

uint8_t end_sector

## head

uint8_t head

## ipl_cyl

uint16_t ipl_cyl

## ipl_head

uint8_t ipl_head

## ipl_sect

uint8_t ipl_sect

## magic

uint16_t magic

## mid

uint8_t mid

## name

char name[16]

## partitions

PC98RawPartition partitions[MAX_PART_COUNT]

## sector

uint8_t sector

## sid

uint8_t sid